import { BaseStatusEntity } from 'src/core/modules/domain/entities/base-status.entity';
import { ItemType } from 'src/modules/item-related/item-category/constants';
import { LimitType } from '../../constants';

export interface ItemEntity extends BaseStatusEntity {
  name: string;
  item_type: ItemType;
  image_url: string;

  hpp: number;
  sales_margin: number;
  total_price: number;
  base_price: number;
  limit_type: LimitType;
  limit_value: number;

  use_queue: boolean;
  show_to_booking: boolean;
  breakdown_bundling?: boolean;
}
