import { ReportConfigEntity } from '../../entities/report-config.entity';

import IncomeReport from './configs/income';
import IncomeReportPerItem from './configs/income-per-item';
import IncomeReportPerItemMaster from './configs/income-per-item-master';
import GivingDiscount from './configs/giving-discounts';
import VisitorsPerRideReport from './configs/visitors-per-ride';
import TimePerRideReport from './configs/time-per-ride';
import BookingReport from './configs/booking';
import RefundsReport from './configs/refunds';
import CashierLogReport from './configs/cashier-log';
import CashWithdrawalsReport from './configs/cash-withdrawals';
import ReconciliationReport from './configs/reconciliation';

export const TransactionReportConfig: ReportConfigEntity[] = [
  IncomeReport,
  IncomeReportPerItem,
  IncomeReportPerItemMaster,
  GivingDiscount,
  // VisitorsPerRideReport,
  // TimePerRideReport,
  BookingReport,
  RefundsReport,
  CashierLogReport,
  CashWithdrawalsReport,
  ReconciliationReport,
];
